Download it now!
Bug 98274 - Insert - Text from file should actually filter the file list instead of showing all files
Summary: Insert - Text from file should actually filter the file list instead of showi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu Insert-File-Content
  Show dependency treegraph
 
Reported: 2016-02-29 14:19 UTC by Stanislav Horacek
Modified: 2019-11-30 11:07 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2016-02-29 14:19:26 UTC
The "Insert - File" command in Writer has been renamed to "Insert - Document". However, the corresponding commands in Impress and Draw are still named "Insert - File".

The commands should have an identical name (I do not prefer any of them).
Comment 1 Maxim Monastirsky 2016-02-29 14:31:36 UTC
(In reply to Stanislav Horacek from comment #0)
> The "Insert - File" command in Writer has been renamed to "Insert -
> Document".
"Insert-File" was misleading, given that it really works only with text documents, not with images (and there is separate Insert-Image item). So for me NOTABUG.
Comment 2 Maxim Monastirsky 2016-02-29 14:39:32 UTC
Hmm I was too fast apparently... I see now that Insert-File in Impress doesn't work with images too, so it makes sense to find a better name (not sure if "document" fits there).
Comment 3 Stanislav Horacek 2016-02-29 14:46:22 UTC
According to the Help, it works with text documents, text files, Impress/Draw files and HTML files:
https://help.libreoffice.org/Impress/Insert_File

So I would agree with the "Document".
Comment 4 Buovjaga 2016-03-21 18:39:40 UTC
NEW for now.
Comment 5 QA Administrators 2017-05-22 13:19:42 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-05-27 22:24:10 UTC
I believe i'm the one who renamed it in Writer as the command inserts the contents of another document or text file into the current document and the old 'File' label didnt clearly portray this. Ideally the dialog should be fixed so that it clearly lists only the types of files that can be inserted, rather than it listing every file, even ones that cant be inserted.
Comment 7 Heiko Tietze 2017-05-28 08:59:57 UTC
Even worse, the procedure allows to select and insert an image where nothing happens eventually. No error message, no result, nothing. Luckily no crash.

So +1 for the restriction to text documents - simplest solution is to select the first item in the filter by default.
Comment 8 Yousuf Philips (jay) (retired) 2017-05-28 17:13:20 UTC
So it seems that in Impress/Draw, the dialog does limit what can be inserted to what is found in the filter drop down (odf and ppt presentations, odf drawings, rich text and html), so that already works correctly, but in Writer the filter drop down only has text document formats, but the filtering isnt being applied.

@Maxim: Any thoughts why this isnt working correctly in Writer?

(In reply to Stanislav Horacek from comment #0)
> The commands should have an identical name (I do not prefer any of them).

As you cant import odf presentations or drawings in Writer, the commands cant be identical. For Writer, i think it should be something like Insert > Document Text, for Impress Insert > Presentation Slides and Draw it should be Insert > Drawing Pages.
Comment 9 QA Administrators 2018-08-22 02:36:34 UTC Comment hidden (obsolete)
Comment 10 Roman Kuznetsov 2019-03-17 23:14:45 UTC
Now, in LO 6.3, I don't see item "Insert - Document" in Writer, there is "Insert - Text from file" instead. And I don't see item "Insert - File" in Impress and in Draw.

May be close this as WFM?
Comment 11 Buovjaga 2019-03-18 08:16:03 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #8)
> So it seems that in Impress/Draw, the dialog does limit what can be inserted
> to what is found in the filter drop down (odf and ppt presentations, odf
> drawings, rich text and html), so that already works correctly, but in
> Writer the filter drop down only has text document formats, but the
> filtering isnt being applied.

The Writer filtering problem still exists.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 0c7009e751a5c8b3c5f73ac42fad5b4954206fc1
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 17 March 2019
Comment 12 Heiko Tietze 2019-06-03 19:34:51 UTC
Abandoned my approach at https://gerrit.libreoffice.org/#/c/69384/. Read the comments for details.